<label
  class="form-control"
  [class.invalid]="control.invalid && control.touched"
>
  <span class="label">{{ label }}:</span>
  <input
    class="input"
    [formControl]="control"
    [type]="type"
    [autocomplete]="type === 'password' && 'off'"
  />
</label>
<div
  class="validation"
  *ngIf="control.invalid && control.touched"
  [ngSwitch]="true"
>
  <p *ngSwitchCase="control.errors.minlength" class="validation-item">
    Length must be at least
    {{ control.errors.minlength.requiredLength }} characters, now the number of
    characters is {{ control.errors.minlength.actualLength }}
  </p>
  <p *ngSwitchCase="control.errors.required" class="validation-item">
    This field is required
  </p>
  <p *ngSwitchCase="control.errors.email" class="validation-item">
    Email is incorrect
  </p>
  <p
    *ngSwitchCase="control.errors[validatorsErrors.MISS_MATCH_PASSWORD]"
    class="validation-item"
  >
    Confirm Password field must be equal to Password field
  </p>
</div>
